Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.pk
Class IssuerDNSerialNumberSelector

    java.lang.Object
      weblogic.security.pk.IssuerDNSerialNumberSelector

All Implemented Interfaces:
  CertPathSelector

    public final class IssuerDNSerialNumberSelector

extends Object
implements CertPathSelector

Look up and validate certificate chains using the issuer's Distinguished Name (DN) and the serial number of the chain's end certificate.

For more information, see the sections that describe certification paths in "Developing Security Providers for WebLogic Server" and "Programming WebLogic Security" on http://edocs.bea.com.

See Also:
  `CertPathBuilderParameters`, `CertPathBuilder`

Constructor Summary
`IssuerDNSerialNumberSelector(String issuerDN, BigInteger serialNumber)` Construct an IssuerDNSerialNumberSelector using the specified issuer DN and the chain's end certificate's serial number.

Method Summary
`String` | `getIssuerDN()` The issuer DN of the chain's end certificate.
`BigInteger` | `getSerialNumber()` The serial number of the chain's end certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuerDNSerialNumberSelector

    public IssuerDNSerialNumberSelector(String issuerDN,
                                        BigInteger serialNumber)

  Construct an IssuerDNSerialNumberSelector using the specified issuer DN and the chain's end certificate's serial number.

  Parameters:
    `issuerDN` - A String containing the desired chain's end certificate's issuer's DN.
    `serialNumber` - A BigInteger containing the desired chain's end certificate's serial number.
  Throws:
    `IllegalArgumentException` - if issuerDN is `null` or `empty`, or if serialNumber is `null`.

Method Detail

### getIssuerDN

    public String getIssuerDN()

  The issuer DN of the chain's end certificate.

  Returns:
    The issuer DN

### getSerialNumber

    public BigInteger getSerialNumber()

  The serial number of the chain's end certificate.

  Returns:
    The serial number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD